package com.bc_chat.contacts.task

import com.bc_chat.bc_base.http.Encryption
import com.bc_chat.bc_base.http.RetrofitHelper
import com.google.gson.JsonObject
import com.zhaohaoting.framework.abs.entity.ResultEntity
import com.zhaohaoting.framework.abs.task.RxDataAsyncTask
import io.reactivex.Flowable

/**
 * author：Created by zhaohaoting on 2019/3/5
 * email：526309416@qq.com
 * desc：群主消息置顶
 */
class LordNoticeTopTask constructor(var gid: String, var is_top: Int) : RxDataAsyncTask<JsonObject, ResultEntity<JsonObject>>() {
    override fun loadDataAsyncTask(): Flowable<ResultEntity<JsonObject>>? {
        val params: MutableMap<String, Any?> = mutableMapOf("gid" to gid, "is_top" to is_top)
        return RetrofitHelper.api.lordNoticeTop(Encryption.encryption(params))
    }
}
